# $Revision: 1.2.2.1 $, $Date: 2006/08/27 10:44:47 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pnam	Cairo
Summary:	Perl Cairo bindings
Summary(pl):	Wizania Cairo dla Perla
Name:		perl-Cairo
Version:	0.92
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://dl.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	9fb19613397b49c2aad8049b0d7a0b21
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	cairo-devel >= 1.0.0
BuildRequires:	perl-ExtUtils-Depends >= 0.201
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.06
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides perl access to Cairo library.

%description -l pl
Ten modu daje dostp z poziomu Perla do biblioteki Cairo.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Cairo/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README TODO
%{perl_vendorarch}/*.pm
%dir %{perl_vendorarch}/Cairo
%{perl_vendorarch}/Cairo/Install
%dir %{perl_vendorarch}/auto/Cairo
%attr(755,root,root) %{perl_vendorarch}/auto/Cairo/Cairo.so
%{perl_vendorarch}/auto/Cairo/Cairo.bs
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Cairo.spec,v $
Revision 1.2.2.1  2006/08/27 10:44:47  glen
- AC-branch

Revision 1.2  2006/08/27 10:43:33  glen
- check-files cleanup

Revision 1.1  2006/08/26 17:28:39  grzegol
- new
